> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add document to a vendor

> Add document to a vendor.



## OpenAPI

````yaml /reference/manage-vanta.json post /vendors/{vendorId}/documents
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /vendors/{vendorId}/documents:
    post:
      tags:
        - Vendors
      summary: Add document to a vendor
      description: Add document to a vendor.
      operationId: UploadDocumentToVendor
      parameters:
        - in: path
          name: vendorId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                type:
                  type: string
                  description: Type of the vendor document.
                title:
                  type: string
                  description: The document's title.
                description:
                  type: string
                  description: The document's description.
              required:
                - file
                - type
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorDocument'
              examples:
                Example 1:
                  value:
                    id: a2f7e1b9d0c3f4e5a6c7b8d8
                    url: https://example.com
                    title: PDF SOC2 Report
                    fileName: soc2.pdf
                    type: SOC2_REPORT
                    mimeType: application/pdf
                    description: The 2023 SOC2 file provided by the vendor
                    uploadedBy:
                      id: 66993da0cf4ba2ad40599ba7
                      type: USER
                    creationDate: '2024-02-01T00:00:00.000Z'
                    updatedDate: '2024-02-07T00:00:00.000Z'
                    deletionDate: null
      security:
        - bearerAuth: []
components:
  schemas:
    VendorDocument:
      properties:
        id:
          type: string
          description: Unique identifier for the document.
        fileName:
          type: string
          nullable: true
          description: The file name of the document.
        title:
          type: string
          description: The document's title.
        description:
          type: string
          nullable: true
          description: The document's description
        mimeType:
          type: string
          description: Mime type of the document.
        uploadedBy:
          properties:
            type:
              $ref: '#/components/schemas/UploadedDocumentUploadedByType'
            id:
              type: string
          required:
            - type
            - id
          type: object
          nullable: true
          description: The actor who uploaded this document. It could be a user or an app.
        creationDate:
          type: string
          format: date-time
          description: Date of when the document was uploaded.
        updatedDate:
          type: string
          format: date-time
          description: Date when the document was last updated.
        deletionDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            Date of when the document was deleted. Is set to null if the
            document has not been deleted.
        type:
          type: string
          description: Type of the vendor document.
        url:
          type: string
          description: URL link to the document
      required:
        - id
        - fileName
        - title
        - description
        - mimeType
        - uploadedBy
        - creationDate
        - updatedDate
        - deletionDate
        - type
        - url
      type: object
      additionalProperties: false
    UploadedDocumentUploadedByType:
      enum:
        - USER
        - APPLICATION
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````